Faucet

Faucet Api

Deprecated

Faucet transaction (v1)

get
/rpc/v1/wallet/faucet/transactions/{hash}

Get information about a faucet transaction by its hash.

Path parameters
hashstringRequired

Hash of the faucet transaction to lookup

Responses
chevron-right
200

Faucet transaction data of the given transaction hash

application/json
nullOptional
or
get
/rpc/v1/wallet/faucet/transactions/{hash}
200

Faucet transaction data of the given transaction hash

No content

Faucet (v1)

get
/rpc/v1/wallet/faucet/{address}

funds account with [FUND_AMOUNT] coins

Path parameters
addressstringRequired

Address of account with or without a 0x prefix

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
Responses
chevron-right
200

list of associated transactions created

application/json
or
string · enumOptionalPossible values:
get
/rpc/v1/wallet/faucet/{address}
200

list of associated transactions created

Faucet transaction (v2)

get
/rpc/v2/wallet/faucet/transactions/{hash}

Get information about a faucet transaction by its hash.

Path parameters
hashstringRequired

Hash of the faucet transaction to lookup

Responses
chevron-right
200

Faucet transaction data of the given transaction hash

application/json

Information about a Supra transaction.

authenticatorobjectRequired

The cryptographic material that was submitted with the transaction, according to its type.

block_headerone ofOptional
nullOptional
or
hashstringRequired

Hex encoded hash

payloadobjectRequired

The deserialized payload of the transaction according to its type.

outputone ofOptional
or
string · enumOptionalPossible values:
or
or
or
nullOptional
statusstring · enumRequiredPossible values:
get
/rpc/v2/wallet/faucet/transactions/{hash}
200

Faucet transaction data of the given transaction hash

Last updated